AntiFeatures:
  NonFreeNet:
    en-US: The Infomaniak mail service itself is not libre.
  Tracking:
    en-US: Crash and bug reports are enabled by default.
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Infomaniak
WebSite: https://www.infomaniak.com
SourceCode: https://github.com/Infomaniak/android-kMail
IssueTracker: https://contact.infomaniak.com

AutoName: Infomaniak Mail

RepoType: git
Repo: https://github.com/Infomaniak/android-kMail.git

Builds:
  - versionName: 1.0.0-beta3
    versionCode: 10000023
    commit: 622af44865cf97c1e574632a0ac1f31ade27981f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta4
    versionCode: 10000024
    commit: 97841672174eba19599baba2fc005f56fc47ba50
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta5
    versionCode: 10000025
    commit: 857c0cef808897023c8100798f9a51c443f593df
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta6
    versionCode: 10000026
    commit: d14b4d8ef7817bc71d2f71e832831ced60a2a757
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta7
    versionCode: 10000027
    commit: eb54f86b5e690cd03a662949767e0482acfdcb7b
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta8
    versionCode: 10000028
    commit: 820f488ce5843a52cf1cc23c22199de4ce165aec
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta9
    versionCode: 10000029
    commit: 266298ee085771cdc467156dacb3509705c9a6c5
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta10
    versionCode: 10000031
    commit: c074b29fc923976747fc8b1432619ca6525ce55d
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta11
    versionCode: 10000033
    commit: 83258573564758e0c59b34e5b201976b7eaeae58
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta12
    versionCode: 10000034
    commit: 1cead0aa203de3864513392445e40f19cb21738d
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta13
    versionCode: 10000035
    commit: 950f858a0cda37e8ceecbf91f831972d1188ad90
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta14
    versionCode: 10000036
    commit: bdda9b552f5226d86e9152b33298b9c2ea841245
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta15
    versionCode: 10000037
    commit: 633bf5836b9f7e811f44d1a5cf979fc77fdeac18
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0-beta16
    versionCode: 10000038
    commit: b72d1127a16066f8576469656397260140f044d0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.0
    versionCode: 10000042
    commit: 46ad30c37535010f03522805bd1f33c77c523339
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.1
    versionCode: 10000101
    commit: 25c2d6739a34e05fdaef17e100a7afef6d17c4fd
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.2
    versionCode: 10000201
    commit: afe74b2b1f334fb3d8170ceeae09a77b570040db
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.3
    versionCode: 10000301
    commit: 0dc35c4e242631a3c02dd62eda810b62a5fa5feb
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.4
    versionCode: 10000401
    commit: b02225a9749e00b8c1c4964f2b03c5c92e304d3e
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.5
    versionCode: 10000503
    commit: 54fec23a414b3f6382e798354517a26838705860
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.6
    versionCode: 10000601
    commit: 4df5dc13f564d7287c7fa2a4cdc8d5810b0a2adf
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.7
    versionCode: 10000701
    commit: 8d8b7c97212a0c711f664896608814c8c7953a5e
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.8
    versionCode: 10000801
    commit: e974809a8818bf47ebc5f764726397141d7d2159
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.9
    versionCode: 10000901
    commit: e23d57652eb7c744accf848de576a3eb22d9fd85
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.10
    versionCode: 10001001
    commit: 70cefe7ce74f5fb7e2c1d09126ace1acd0a58f93
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.11
    versionCode: 10001101
    commit: 254f0b89341e7b29a26227d0e6ace175b42332e1
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.12
    versionCode: 10001201
    commit: c395574e51c2a0c058ff6f62a3f84a2900caff90
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.13
    versionCode: 10001301
    commit: a408b61c34d6c4120d8612046e323f3aa204b9a6
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.14
    versionCode: 10001401
    commit: 25ff8f287e18ec9b4a4cebbaf352a6c6995977ec
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.15
    versionCode: 10001501
    commit: b9d8e79185753a953a7add7ac614a3b42f580f48
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.16
    versionCode: 10001601
    commit: 721dede7d65795264f3af72c364ca4f0068fa95b
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.17
    versionCode: 10001701
    commit: d75fcb9d70039d3a841ef1f407747e27bb72679e
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.18
    versionCode: 10001802
    commit: ef948e184dab64218d51104e7d34c890e1e378fa
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.19
    versionCode: 10001903
    commit: 9c3b4b6396c450ef6ae201b59253e79339d60829
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.0.20
    versionCode: 10002001
    commit: e8155891263c3efeccf8c6f6133bc8d02cdf2fba
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid

MaintainerNotes: on tracking see https://gitlab.com/fdroid/fdroiddata/-/merge_requests/12696#note_1303894823

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.0.20
CurrentVersionCode: 10002001
